# Interface CredentialHandler

All Known Implementing Classes:
  `DigestCredentialHandlerBase, MessageDigestCredentialHandler, NestedCredentialHandler, SecretKeyCredentialHandler`

public interface CredentialHandler
This interface is used by the `Realm` to compare the user provided credentials with the credentials stored in the `Realm` for that user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(String inputCredentials, String storedCredentials)`
Checks to see if the input credentials match the stored credentials
`String`
`mutate(String inputCredentials)`
Generates the equivalent stored credentials for the given input credentials.

## Method Details

### matches

boolean matches(String inputCredentials, String storedCredentials)
Checks to see if the input credentials match the stored credentials

Parameters:
  `inputCredentials` - User provided credentials
  `storedCredentials` - Credentials stored in the `Realm`
Returns:
  `true` if the inputCredentials match the storedCredentials, otherwise `false`

### mutate

String mutate(String inputCredentials)
Generates the equivalent stored credentials for the given input credentials.

Parameters:
  `inputCredentials` - User provided credentials
Returns:
  The equivalent stored credentials for the given input credentials